PTS_LISTENTRIES(1)

NAME
pts_listentries - Displays all users or groups in the Protection Database

SYNOPSIS
pts listentries [-users] [-groups] [-cell <cell name>]
    [-noauth] [-localauth] [-force] [-help]

pts liste [-u] [-g] [-c <cell name>] [-n] [-l]
             [-f] [-h]

DESCRIPTION
The pts listentries command displays the name and AFS ID of all Protection Database entries of the indicated type. It also displays the AFS ID of each entry's owner and creator.

To display all user and machine entries, either include the -users flag or omit both it and the -groups flag. To display all group entries, include the -groups flag. To display all entries, provide both flags.

OPTIONS

-users
    Displays user and machine entries.

-groups
    Displays group entries.

-cell <cell name>
    Names the cell in which to run the command. For more details, see pts(1).

-force
    Enables the command to continue executing as far as possible when errors or other problems occur, rather than halting execution at the first error.

-help
    Prints the online help for this command. All other valid options are ignored.

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. Do not combine this flag with the -cell or -noauth options. For more details, see pts(1).

-noauth
    Assigns the unprivileged identity anonymous to the issuer. For more details, see pts(1).

OUTPUT
The output includes a line for each entry, with information in four columns that have the following headers:

Name
    The entry's name.

ID  The entry's AFS ID (AFS UID for a user or machine, negative AFS GID for a group).

Owner
    The AFS ID of the user or group that owns the entry.

Creator
    The AFS ID of the user who created the entry (the system:administrators group is listed as the creator of the entry for "anonymous" and the system groups, but it is not otherwise possible for a group to create groups).

In general, the entries appear in the order in which they were created.

EXAMPLES
The following example displays both user and group entries.

   % pts listentries -users -groups
   Name                          ID  Owner Creator
   system:administrators       -204   -204    -204
   system:anyuser              -101   -204    -204
   system:authuser             -102   -204    -204
   anonymous                  32766   -204    -204
   admin                          1   -204   32766
   pat                          100   -204       1
   smith                        101   -204       1
   pat:friends                 -206    100     100
   staff                       -207   -204       1

PRIVILEGE REQUIRED
The issuer must belong to the system:administrators group.

SEE ALSO
pts(1), pts_creategroup(1), pts_createuser(1), pts_examine(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.